summaryrefslogtreecommitdiffstats
path: root/academic/libghemical/libghemical.SlackBuild
diff options
context:
space:
mode:
author Daniil Bratashov <dn2010@gmail.com>2011-11-06 10:55:01 -0200
committer Robby Workman <rworkman@slackbuilds.org>2011-11-26 09:09:08 -0600
commit4d3a659909d303b82eb0e88a6e8234fb2498f7aa (patch)
treefb9c9cd696e38f4ad0c6992fd9c47fa1c000b217 /academic/libghemical/libghemical.SlackBuild
parent9fadc18804c76031978859d3b563bc474acee216 (diff)
downloadslackbuilds-4d3a659909d303b82eb0e88a6e8234fb2498f7aa.tar.gz
slackbuilds-4d3a659909d303b82eb0e88a6e8234fb2498f7aa.tar.xz
academic/libghemical: Updated for version 3.0.0.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'academic/libghemical/libghemical.SlackBuild')
-rw-r--r--academic/libghemical/libghemical.SlackBuild10
1 files changed, 4 insertions, 6 deletions
diff --git a/academic/libghemical/libghemical.SlackBuild b/academic/libghemical/libghemical.SlackBuild
index 6c20ffc2d4..87dfba2388 100644
--- a/academic/libghemical/libghemical.SlackBuild
+++ b/academic/libghemical/libghemical.SlackBuild
@@ -5,16 +5,14 @@
# Written by Daniil Bratashov (dn2010@gmail.com)
PRGNAM=libghemical
-VERSION=${VERSION:-2.99.1}
+VERSION=${VERSION:-3.0.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -38,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -64,8 +62,8 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
--disable-static \
- --enable-mopac7 \
- --enable-mpqc \
+ --enable-mopac7=${WITH_MOPAC7:-no} \
+ --enable-mpqc=${WITH_MPQC:-no} \
--build=$ARCH-slackware-linux
make